package cn.minbb.edu.controller.web;

import cn.minbb.edu.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.http.HttpServletRequest;

@Controller
@RequestMapping("admin")
public class AdminController {

    private UserService userService;

    @Autowired
    public AdminController(UserService userService) {
        this.userService = userService;
    }

    @GetMapping(value = "config")
    public ModelAndView configPage(ModelAndView modelAndView, HttpServletRequest request) {
        modelAndView.setViewName("admin-config");
        return modelAndView;
    }
}
