package cn.minbb.edu.controller.web;

import cn.minbb.edu.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.http.HttpServletRequest;

@Controller
@RequestMapping("user")
public class UserController {

    private UserService userService;

    @Autowired
    public UserController(UserService userService) {
        this.userService = userService;
    }

    @GetMapping(value = "center")
    public ModelAndView userCenterPage(ModelAndView modelAndView, HttpServletRequest request) {
        modelAndView.setViewName("user-center");
        return modelAndView;
    }
}
