package cn.minbb.edu.service;

import cn.minbb.edu.model.Course;

import java.util.List;

public interface CourseService {
    Course save(Course course);

    Course findOneById(Integer id);

    List<Course> findAll();

    List<Course> findAllByUserId(Integer userId);

    List<Course> findAllBySubjectId(Integer subjectId);

    List<Course> findAllByIdIn(List<Integer> ids);

    List<Course> findTop6Hot();

    List<Course> findTop6Excellent();

    int countAllHot();

    int countAllExcellent();
}
