package cn.minbb.edu.service.impl;

import cn.minbb.edu.model.Homework;
import cn.minbb.edu.model.repository.HomeworkRepository;
import cn.minbb.edu.service.HomeworkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class HomeworkServiceImpl implements HomeworkService {

    private HomeworkRepository homeworkRepository;

    @Autowired
    public HomeworkServiceImpl(HomeworkRepository homeworkRepository) {
        this.homeworkRepository = homeworkRepository;
    }

    @Override
    public Homework save(Homework homework) {
        homework.setIsEnabled(true);
        return homeworkRepository.save(homework);
    }
}
