package cn.minbb.edu.storage;

import org.springframework.core.io.Resource;
import org.springframework.web.multipart.MultipartFile;

import java.nio.file.Path;
import java.util.stream.Stream;

public interface FileService {

    void storeToFolder(MultipartFile file, String filename, StorageProperties.Folder folder);

    void deleteFromFolder(String filename, StorageProperties.Folder folder);

    void deleteAll();

    Path loadFromFolder(String filename, StorageProperties.Folder folder);

    Stream<Path> loadAllFromFolder(StorageProperties.Folder folder);

    Resource loadAsResourceFromFolder(String filename, StorageProperties.Folder folder);
}