package cn.minbb.edu.storage;

import lombok.Getter;
import org.springframework.boot.context.properties.ConfigurationProperties;

@ConfigurationProperties("storage")
public class StorageProperties {

//    private static final String ROOT = "C:\\EDU";
//
//    @Getter
//    @Setter
//    // 存储文件的文件夹位置
//    private String location = ROOT + "\\";
//
//    @Getter
//    @Setter
//    // 图片目录
//    private String images = ROOT + "\\images\\";
//
//    @Getter
//    @Setter
//    // 视频目录
//    private String videos = ROOT + "\\videos\\";
//
//    @Getter
//    @Setter
//    // 用户头像目录
//    private String avatars = ROOT + "\\avatars\\";
//
//    @Getter
//    @Setter
//    // 文件下载目录
//    private String download = ROOT + "\\download\\";

    public enum Folder {
        // 根目录
        ROOT("C:\\EDU"),
        // 存储文件的文件夹位置
        LOCATION("C:\\EDU\\"),
        // 图片目录
        IMAGES("C:\\EDU\\IMAGES\\"),
        // 视频目录
        VIDEOS("C:\\EDU\\VIDEOS\\"),
        // 用户头像目录
        AVATARS("C:\\EDU\\AVATARS\\"),
        // 文件下载目录
        DOWNLOAD("C:\\EDU\\DOWNLOAD\\");

        @Getter
        private String path;

        Folder(String path) {
            this.path = path;
        }
    }
}