package cn.minbb.edu.controller.rest;

import cn.minbb.edu.data.ResponseResult;
import cn.minbb.edu.model.Stage;
import cn.minbb.edu.service.StageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("app/stage")
public class StageController {

    private StageService stageService;

    @Autowired
    public StageController(StageService stageService) {
        this.stageService = stageService;
    }

    @PostMapping("all")
    public ResponseResult<Stage> subjectAll() {
        List<Stage> stageList = stageService.findAll();
        return ResponseResult.ok(true).code(1).message("").dataset(stageList);
    }
}
