package cn.minbb.edu.model.repository;

import cn.minbb.edu.model.Course;
import org.springframework.data.domain.Sort;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface CourseRepository extends JpaRepository<Course, Integer> {
    List<Course> findAllByIdIn(List<Integer> ids);

    List<Course> findTop6ByIsEnabledTrue(Sort sort);

    int countByIsEnabledTrue(Sort sort);
}
