package cn.minbb.edu.model.repository;

import cn.minbb.edu.model.UserRole;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.Set;

@Repository
public interface UserRoleRepository extends JpaRepository<UserRole, Integer> {
    UserRole findOneByRole(UserRole.Role role);

    Set<UserRole> findAllByRoleIn(Set<UserRole.Role> roleSet);
}
