package cn.minbb.edu.service.impl;

import cn.minbb.edu.model.Study;
import cn.minbb.edu.model.repository.StudyRepository;
import cn.minbb.edu.service.StudyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class StudyServiceImpl implements StudyService {

    private StudyRepository studyRepository;

    @Autowired
    public StudyServiceImpl(StudyRepository studyRepository) {
        this.studyRepository = studyRepository;
    }

    @Override
    public Study save(Study study) {
        study.setIsEnabled(true);
        return studyRepository.save(study);
    }
}
