package cn.minbb.edu.util;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class CollectionUtil {

    public static List<Integer> stringToIntList(String listString) {
        if (null == listString || listString.isEmpty()) {
            return new ArrayList<>();
        } else {
            List<Integer> list = new ArrayList<>();
            String temp = listString.substring(1, listString.length() - 1);
            if (temp.isEmpty()) return new ArrayList<>();
            String[] split = temp.split(",");
            for (String s : split) {
                list.add(Integer.parseInt(s.trim()));
            }
            return list;
        }
    }

    public static Integer[] stringToIntArray(String arrayString) {
        if (null == arrayString || arrayString.isEmpty()) {
            return new Integer[]{};
        } else {
            String temp = arrayString.substring(1, arrayString.length() - 1);
            if (temp.isEmpty()) return new Integer[]{};
            String[] split = temp.split(",");
            Integer[] array = new Integer[split.length];
            for (int i = 0; i < split.length; i++) {
                array[i] = Integer.parseInt(split[i].trim());
            }
            return array;
        }
    }

    public static String intListToString(List<Integer> intList) {
        return Arrays.toString(intList.toArray());
    }

    public static String intArrayToString(int[] intArray) {
        return Arrays.toString(intArray);
    }
}
